BDU:2021-01422: Уязвимость реализации протокола SMB1 пакета программ сетевого взаимодействия Samba, связанная с использованием области памяти после её освобождения, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании

Описание уязвимости Уязвимость реализации протокола SMB1 пакета программ сетевого взаимодействия Samba связана с использованием области памяти после её освобождения. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Вендор Canonical Ltd., Сообщество свободного программного обеспечения, ООО «РусБИТех-Астра», Samba Team
Наименование ПО Ubuntu, Debian GNU/Linux, Astra Linux Common Edition (запись в едином реестре российских программ №4433), Samba
Версия ПО
  • 16.04 LTS (Ubuntu)
  • 17.04 (Ubuntu)
  • 17.10 (Ubuntu)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 2.12 «Орёл» (Astra Linux Common Edition)
  • 10.0 (Debian GNU/Linux)
  • 14.04 ESM (Ubuntu)
  • от 4.0.0 до 4.7.3 (Samba)
Тип ПО Операционная система, Сетевое программное средство
Операционные системы и аппаратные платформы
  • Canonical Ltd. Ubuntu 16.04 LTS 32-bit
  • Canonical Ltd. Ubuntu 17.04
  • Canonical Ltd. Ubuntu 17.10
  • Сообщество свободного программного обеспечения Debian GNU/Linux 8.0
  • Сообщество свободного программного обеспечения Debian GNU/Linux 9.0
  • ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» (запись в едином реестре российских программ №4433)
  • Сообщество свободного программного обеспечения Debian GNU/Linux 10.0
  • Canonical Ltd. Ubuntu 14.04 ESM
Тип ошибки Использование после освобождения
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 27.11.2017
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для Samba:
Обновление программного обеспечения до 4.7.3 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета samba) до 2:4.5.12+dfsg-2+deb9u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета samba) до 2:4.5.12+dfsg-2+deb9u1 или более поздней версии

Для Ubuntu:
https://ubuntu.com/security/notices/USN-3486-1
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения